Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82673 - php version 4.1.2 has a critical bug, needs updating
Summary: php version 4.1.2 has a critical bug, needs updating
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://bugs.php.net/bug.php?id=16043&...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-24 19:31 UTC by S BEAM
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-11 10:25:49 UTC


Attachments (Terms of Use)

Description S BEAM 2003-01-24 19:31:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Current RPM's in updates for RH 7.2 and 7.3 is for php v4.1.2 which has a
serious bug (see URL). Please update to a newer version so no one else will go
insane like I did.

http://bugs.php.net/bug.php?id=16043&edit=1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use php sessions
2.lose time and money figureing out why they dont work
3.pull out hair

    

Additional info:

Comment 1 S BEAM 2003-01-24 19:37:29 UTC
Also there is a serious security problem in that version of PHP:
http://www.php.net/release_4_2_2.php

I would say this is a critical update.

Comment 2 Joe Orton 2003-01-27 13:26:11 UTC
Hi, thanks for the report.  Note that the security problems have been fixed in
the PHP errata updates for 7.x already.

Comment 3 Dax Kelson 2003-02-05 08:58:17 UTC
Here is a serious bug that is biting lots of people:

http://bugs.php.net/bug.php?id=18352
http://bugs.php.net/bug.php?id=17998
http://bugs.php.net/bug.php?id=11008

Simple test case:

$ php -q 'exit(99);' ; echo $?

This should display 99 on your screen, instead I get 255.

Comment 4 S BEAM 2003-02-05 13:38:16 UTC
Joe - that does not seem to be the case, that is why I reported the bug. 
ftp://updates.redhat.com/7.2/en/os/i386
lists
php-4.1.2-7.2.6.i386.rpm

Comment 5 Joe Orton 2003-02-05 13:41:53 UTC
Yes, the version of the RPM is still "4.1.2" since we back-ported the fixes from
4.2.x and apply them to 4.1.2.

Comment 6 Joe Orton 2004-05-11 10:25:49 UTC
This was fixed in 8.0/9.


Note You need to log in before you can comment on or make changes to this bug.